@charset "utf-8";

/* -------------------------------------------------------
name : block-patterns.css
version : 1.0
viewport : sp -599,tb 600-1024 pc 1024-
ブロックパターン用CSS
--------------------------------------------------------- */
.block-txt + .block-txt {
  margin-top: var(--space-sm);
}

/* リンク
---------------------------------------------------------------- */
.editor-page p > a,
.editor-styles-wrapper > div p > a {
  position: relative;
  display: inline;
  text-decoration: underline;
  color: var(--theme-link);
  padding: 0 0.2em 0 0;
}
.editor-page p > a[target='_blank'],
.editor-styles-wrapper > div p > a[target='_blank'] {
  display: inline;
  position: relative;
}
.editor-page p > a[target='_blank']::after,
.editor-styles-wrapper > div p > a[target='_blank']::after,
.editor-page p > a[href$='.pdf']::after,
.editor-styles-wrapper > div p > a[href$='.pdf']::after,
.editor-page p > a[href$='.xlsx']::after,
.editor-styles-wrapper > div p > a[href$='.xlsx']::after,
.editor-page p > a[href$='.xls']::after,
.editor-styles-wrapper > div p > a[href$='.xls']::after,
.editor-page p > a[href$='.xlsm']::after,
.editor-styles-wrapper > div p > a[href$='.xlsm']::after,
.editor-page p > a[href$='.csv']::after,
.editor-styles-wrapper > div p > a[href$='.csv']::after,
.editor-page p > a[href$='.docx']::after,
.editor-styles-wrapper > div p > a[href$='.docx']::after,
.editor-page p > a[href$='.doc']::after,
.editor-styles-wrapper > div p > a[href$='.doc']::after,
.editor-page p > a[href$='.pptx']::after,
.editor-styles-wrapper > div p > a[href$='.pptx']::after,
.editor-page p > a[href$='.ppt']::after,
.editor-styles-wrapper > div p > a[href$='.ppt']::after {
  display: inline-block;
  font-family: 'Font Awesome 6 Free';
  font-weight: 400;
  font-size: 1.2em;
  color: inherit;
  text-decoration: none;
  border-bottom: 0;
  margin-left: 0.2em;
}
/* 外部リンク */
.editor-page p > a[target='_blank']::after,
.editor-styles-wrapper > div p > a[target='_blank']::after {
  content: '\f2d2';
}
/* PDF */
.editor-page p > a[href$='.pdf']::after,
.editor-styles-wrapper > div p > a[href$='.pdf']::after {
  content: '\f1c1';
}
/* Excel */
.editor-page p > a[href$='.xlsx']::after,
.editor-styles-wrapper > div p > a[href$='.xlsx']::after,
.editor-page p > a[href$='.xls']::after,
.editor-styles-wrapper > div p > a[href$='.xls']::after,
.editor-page p > a[href$='.xlsm']::after,
.editor-styles-wrapper > div p > a[href$='.xlsm']::after,
.editor-page p > a[href$='.csv']::after,
.editor-styles-wrapper > div p > a[href$='.csv']::after {
  content: '\f1c3';
}
/* Word */
.editor-page p > a[href$='.docx']::after,
.editor-styles-wrapper > div p > a[href$='.docx']::after,
.editor-page p > a[href$='.doc']::after,
.editor-styles-wrapper > div p > a[href$='.doc']::after {
  content: '\f1c2';
}
/* PowerPoint */
.editor-page p > a[href$='.pptx']::after,
.editor-styles-wrapper > div p > a[href$='.pptx']::after,
.editor-page p > a[href$='.ppt']::after,
.editor-styles-wrapper > div p > a[href$='.ppt']::after {
  content: '\f1c4';
}

/* ボタン
---------------------------------------------------------------- */
.block-btn-wrap {
  gap: 1em;
}
/* デフォルトボタン */
.block-btn-next .wp-block-button__link {
  --cl-btn-text: var(--theme-main-btn-text);
  --cl-btn-bg: var(--theme-main-btn);
  --cl-btn-border: var(--theme-main-btn-text);
  display: inline-block;
  position: relative;
  font-size: var(--fs-lead);
  font-weight: var(--fw-bold);
  color: var(--a11y-btn-text, var(--cl-btn-text));
  background: var(--a11y-btn-bg, var(--cl-btn-bg));
  border: var(--a11y-btn-border, var(--cl-btn-border)) 2px solid;
  border-radius: var(--br-s);
  text-align: center;
  width: 100%;
  padding: 0.75em 2.5em 0.75em 2em;
}
.block-btn-next .wp-block-button__link::before,
.block-btn-next .wp-block-button__link::after {
  content: '';
  width: 0.7em;
  height: 3px;
  display: inline-block;
  border-radius: var(--br-xl);
  background: var(--a11y-btn-text, var(--cl-btn-text));
  position: absolute;
  right: 1em;
  transition: 0.3s right;
}
.block-btn-next .wp-block-button__link::before {
  top: calc(50% - 0.3em);
  transform: rotate(45deg);
}
.block-btn-next .wp-block-button__link::after {
  bottom: calc(50% - 0.3em);
  transform: rotate(-45deg);
}
.block-btn-next .wp-block-button__link[href$='.pdf']::before,
.block-btn-next .wp-block-button__link[href$='.xlsx']::before,
.block-btn-next .wp-block-button__link[href$='.xls']::before,
.block-btn-next .wp-block-button__link[href$='.xlsm']::before,
.block-btn-next .wp-block-button__link[href$='.csv']::before,
.block-btn-next .wp-block-button__link[href$='.docx']::before,
.block-btn-next .wp-block-button__link[href$='.doc']::before,
.block-btn-next .wp-block-button__link[href$='.pptx']::before,
.block-btn-next .wp-block-button__link[href$='.ppt']::before {
  display: none;
}
.block-btn-next .wp-block-button__link[href$='.pdf']::after,
.block-btn-next .wp-block-button__link[href$='.xlsx']::after,
.block-btn-next .wp-block-button__link[href$='.xls']::after,
.block-btn-next .wp-block-button__link[href$='.xlsm']::after,
.block-btn-next .wp-block-button__link[href$='.csv']::after,
.block-btn-next .wp-block-button__link[href$='.docx']::after,
.block-btn-next .wp-block-button__link[href$='.doc']::after,
.block-btn-next .wp-block-button__link[href$='.pptx']::after,
.block-btn-next .wp-block-button__link[href$='.ppt']::after {
  display: inline-block;
  font-family: 'Font Awesome 6 Free';
  font-weight: 400;
  font-size: 1.2em;
  position: absolute;
  right: 0.8em;
  top: 50%;
  transform: translateY(-50%);
  background: none;
  width: 1.2em;
  height: 1.5em;
}
/* PDFアイコン */
.block-btn-next .wp-block-button__link[href$='.pdf']::after {
  content: '\f1c1';
}
/* Excelアイコン */
.block-btn-next .wp-block-button__link[href$='.xlsx']::after,
.block-btn-next .wp-block-button__link[href$='.xls']::after,
.block-btn-next .wp-block-button__link[href$='.xlsm']::after,
.block-btn-next .wp-block-button__link[href$='.csv']::after {
  content: '\f1c3';
}
/* Wordアイコン */
.block-btn-next .wp-block-button__link[href$='.docx']::after,
.block-btn-next .wp-block-button__link[href$='.doc']::after {
  content: '\f1c2';
}
/* PowerPointアイコン (追加) */
.block-btn-next .wp-block-button__link[href$='.pptx']::after,
.block-btn-next .wp-block-button__link[href$='.ppt']::after {
  content: '\f1c4';
}

.block-col-btn .wp-block-button__link {
  font-size: var(--fs-default);
}

/* CTAボタン */
.block-btn-cta-01 .wp-block-button__link {
  --cl-btn-text: var(--theme-text-opp);
  --cl-btn-bg: var(--theme-cta);
  --cl-btn-border: var(--theme-cta);
  font-weight: 500;
  border-radius: var(--br-s);
}
.block-btn-cta-02 .wp-block-button__link {
  --cl-btn-text: var(--theme-text-opp);
  --cl-btn-bg: var(--theme-cta-02);
  --cl-btn-border: var(--theme-cta-02);
  font-weight: 500;
  border-radius: var(--br-s);
}
.block-cta-txt {
  position: relative;
  padding: 0 1.5em;
  width: fit-content;
}
.block-cta-txt::before,
.block-cta-txt::after {
  position: absolute;
}
.block-cta-txt::before {
  content: '＼';
  left: 0;
}
.block-cta-txt::after {
  content: '／';
  right: 0;
}

/* MAPボタン */
.block-btn-map .wp-block-button__link {
  --cl-btn-text: var(--theme-main-btn-text);
  --cl-btn-bg: var(--theme-main-btn);
  --cl-btn-border: var(--theme-main-btn-text);
  display: inline-block;
  position: relative;
  font-size: var(--fs-default);
  font-weight: var(--fw-bold);
  color: var(--a11y-btn-text, var(--cl-btn-text));
  background: var(--a11y-btn-bg, var(--cl-btn-bg));
  border: var(--a11y-btn-border, var(--cl-btn-border)) 2px solid;
  border-radius: var(--br-l);
  text-align: center;
  width: 100%;
  padding: 0.4em 1.5em 0.4em 2em;
  line-height: 1;
}
.block-btn-map .wp-block-button__link::before {
  content: '\f3c5';
  font-family: var(--fa-style-family, 'Font Awesome 6 Free');
  width: 0.7em;
  height: 3px;
  display: inline-block;
  border-radius: var(--br-xl);
  position: absolute;
  left: 1em;
  transition: 0.3s right;
}

/* 画像・カラム
---------------------------------------------------------------- */
.img-wrap .wp-block-image {
  object-fit: cover;
  width: 100%;
  height: 100%;
}
.block-col .img-wrap {
  margin-top: 0 !important;
}
.block-col .img-wrap img {
  display: block;
  border-radius: var(--br-l);
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.block-col .img-wrap .wp-block-image {
  aspect-ratio: 6/4;
}
.block-col .col-item .txt-wrap {
  margin-top: 1em;
}
.block-col .img-wrap + p {
  margin-top: 1em;
}
.block-col .txt-wrap .wp-block-heading + p,
.block-col .txt-wrap p + p {
  margin-top: 1em;
}
.block-img-original {
  display: block;
}
.block-img-original.br-img img {
  border-radius: var(--br-l);
}
.block-img-original-center {
  text-align: center;
}
.block-img-original-center * {
  margin: auto;
}
.block-img-original-left {
  text-align: left;
}
.block-img-original-right {
  text-align: right;
}
.block-img-original-right * {
  margin-left: auto;
}

.wp-block-image.is-style-rounded img,
.wp-block-image .is-style-rounded img {
  border-radius: var(--br-l);
}

.design-col {
  position: relative;
}
.design-col .block-box {
  position: relative;
  margin-top: 0 !important;
  width: 62%;
}
.design-col .img-wrap {
  position: relative;
  width: 62%;
  margin-left: auto !important;
  margin-right: 0 !important;
  margin-top: -120px !important;
  z-index: -1;
}
.design-col + .design-col {
  margin-top: var(--space-lm);
}
.design-col:nth-of-type(2n) .block-box {
  margin-left: auto !important;
  margin-right: 0 !important;
}
.design-col:nth-of-type(2n) .img-wrap {
  margin-left: 0 !important;
  margin-right: auto !important;
}

@media only screen and (max-width: 768px) {
  .block-col.col-2-1 {
    grid-template-columns: 1fr;
  }
}
@media only screen and (max-width: 768px) {
  .design-col .block-box {
    width: 90%;
    max-width: 600px;
  }
  .design-col .img-wrap {
    width: 90%;
    max-width: 400px;
    margin-top: -60px !important;
  }
}

/* リスト
---------------------------------------------------------------- */
.block-ul-list,
.block-ol-list {
  list-style: none;
  counter-reset: block-ol-count;
}
.block-ul-list li,
.block-ol-list li {
  position: relative;
  font-size: var(--fs-default);
  margin-left: 0;
  padding-left: 1em;
}
.block-ol-list li {
  padding-left: 1.4em;
}
.block-ul-list li + li {
  margin-top: 0.2em;
}
.block-ul-list li::before {
  content: '';
  background: var(--theme-main);
  border-radius: var(--br-xl);
  width: 7px;
  height: 7px;
  font-weight: var(--fw-bold);
  display: inline-block;
  position: absolute;
  top: 0.75em;
  left: 0;
}
.block-ol-list li {
  counter-increment: block-ol-count;
}
.block-ol-list li + li {
  margin-top: 0.2em;
}
.block-ol-list li::before {
  content: counter(block-ol-count) '.';
  color: var(--theme-main);
  font-weight: var(--fw-bold);
  position: absolute;
  left: 0;
  top: 0;
}
.block-dl-list {
  border-top: var(--theme-border-table) 1px solid;
  border-bottom: var(--theme-border-table) 1px solid;
  padding: 1em 0;
  --row-gap: 1em;
}
.block-dl-list + .block-dl-list {
  border-top: none;
  margin-top: 0 !important;
}
.block-dl-list-dt {
  position: relative;
  font-size: var(--fs-lead);
  font-weight: var(--fw-bold);
  color: var(--theme-main);
  min-width: 200px;
  padding-right: 1em;
}
.block-dl-list-dt::after {
  content: '';
  display: inline-block;
  background: var(--theme-border-table);
  width: 1px;
  height: 100%;
  position: absolute;
  inset: 0;
  margin: auto 0 auto auto;
}
@media only screen and (max-width: 599px) {
  .block-dl-list-dt::after {
    display: none;
  }
}

/* ボックス box
---------------------------------------------------------------- */
.block-box {
  position: relative;
  background: var(--theme-bg);
  border: var(--a11y-btn-border, transparent) 1px solid;
  border-radius: var(--br-s);
  padding: 25px;
}
.block-box .wp-block-heading:first-child {
  margin-top: 0 !important;
}
.block-box .ttl-03 {
  background: none;
  margin-bottom: var(--space-xs) !important;
}
.block-box-shadow {
  box-shadow: var(--shadow);
  margin-left: 0.5em;
  margin-right: 0.5em;
}
@media only screen and (max-width: 599px) {
  .block-box {
    padding: 20px 15px;
  }
}

/* 表 [Flexible Table Block]
---------------------------------------------------------------- */
.wp-block-flexible-table-block-table > table {
  border-collapse: separate !important;
  border-spacing: 0 !important;
  border: none !important;
  border-radius: var(--br-m);
}

/* 1. セルの基本ボーダー設定（右と下に引く） */
.wp-block-flexible-table-block-table > table th,
.wp-block-flexible-table-block-table > table td {
  font-size: var(--fs-default);
  border: none !important;
  border-bottom: 1px solid var(--theme-border-table) !important;
  border-right: 1px solid var(--theme-border-table) !important;
}

/* 2. 外枠と重なる部分のボーダーを消す */
.wp-block-flexible-table-block-table > table tr:first-child th,
.wp-block-flexible-table-block-table > table tr:first-child td {
  border-top: 1px solid var(--theme-border-table) !important;
}
.wp-block-flexible-table-block-table > table tr th:first-child,
.wp-block-flexible-table-block-table > table tr td:first-child {
  border-left: 1px solid var(--theme-border-table) !important;
}
.wp-block-flexible-table-block-table > table a {
  text-decoration: underline;
}

@media only screen and (max-width: 768px) {
  /* 1. 外枠の設定 */
  .wp-block-flexible-table-block-table {
    overflow-x: auto !important;
    -webkit-overflow-scrolling: touch;
    /* 右側にうっすら影を出すための背景指定（スクロールすると消える仕組み） */
    background:
      linear-gradient(to right, white 30%, rgba(255, 255, 255, 0)),
      linear-gradient(to right, rgba(255, 255, 255, 0), white 70%) 0 100%,
      radial-gradient(farthest-side at 0 50%, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0)),
      radial-gradient(farthest-side at 100% 50%, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0)) 0 100%;
    background-repeat: no-repeat;
    background-color: white;
    background-size:
      40px 100%,
      40px 100%,
      14px 100%,
      14px 100%;
    background-attachment: local, local, scroll, scroll;
  }

  /* 2. テーブルの幅固定 */
  .wp-block-flexible-table-block-table table {
    min-width: 900px !important;
    width: 900px !important;
    table-layout: fixed;
  }
  .wp-block-flexible-table-block-table::before {
    content: '※横にスクロールして確認できます';
    display: block;
    font-size: var(--fs-notes);
    background: var(--theme-bg);
    color: var(--theme-text-sub);
    padding-bottom: 5px;
    text-align: right;
  }
}

/* タグ tag
---------------------------------------------------------------- */
